
estadoCliqueCerto = {
  name = "cliqueCerto",
  update = function() voadores.update() end,
  draw = function()
    if passo == #parte then
      estadoCliqueCerto.inicializa()
      love.graphics.draw(joaninhaGrD, 250, love.graphics.getHeight() * 0.55, 5.525)
      caixa.caixaJogaTexto()
      caixa.cliqueCertoBotaoRecomecar()
      caixa.cliqueCertoBotaoQuit()
      estadoCliqueCerto.imprimaTextoCombinado()
      love.graphics.setColor(Cores.azulMaisEscuro)
      love.graphics.setFont(font48)
      love.graphics.printf("Congratulations!", 0, love.graphics.getHeight() * 0.20, 680, "center")
      love.graphics.printf("YOU WON!", 0, love.graphics.getHeight() * 0.35, 680, "center")
      love.graphics.setColor(Cores.branco)
      voadores.draw()
      caixa.caixaJogaTexto()
      estadoCliqueCerto.imprimaTextoCombinado()
      else
      estadoCliqueCerto.inicializa()
      caixa.cliqueCertoBotaoContinue()
      love.graphics.draw(joaninhaGrD, 125, love.graphics.getHeight() * 0.18, 0.572665)
      estadoCliqueCerto.imprimaTextoCombinado()
      estadoCliqueCerto.suaSelecao()
  end
  return
  end,
  inicializa = function()
    love.graphics.setBackgroundColor(Cores.verde)
    love.graphics.setColor(Cores.branco)
    caixa.caixaJogaMenu()
    caixa.botaoTocaAudio()
    caixa.botaoPausaAudio()    
    caixa.botaoTerminaAudio()
    caixa.caixaJogaErros()
    caixa.caixaJogaTexto()
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(gafanhotoGrD, 125, love.graphics.getHeight() * 0.73)
    love.graphics.draw(lagartaGrE, 450, love.graphics.getHeight() * 0.73)
    love.graphics.setColor(Cores.branco)    
  end,
  imprimaTextoCombinado = function()
     love.graphics.setColor(Cores.azulMaisEscuro)
     love.graphics.setFont(font24)
     love.graphics.printf(textoCombinado, 700, 155, 460)   --imprime texto na caixaJogaTexto
     love.graphics.setColor(Cores.branco)    
  end,
  suaSelecao = function()
    love.graphics.setFont(font24)
    love.graphics.setColor(Cores.azul)
    love.graphics.print("You chose:", 250, 155)
    love.graphics.setFont(font36)
    love.graphics.printf("\"" .. resultoCorreto .. "\"", 250, 205, 370)
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
  end,
  mousereleased = function(x, y, button) 
    if x >= 820 and x <= 920 and y >= 40 and y <= 100 then
      love.audio.play( audioPrincipal )
      return
    end
    
    if x >= 940 and x <= 1040 and y >= 40 and y <= 100 then
      love.audio.pause( audioPrincipal ) 
      return
    end
    
    if x >= 1060 and x <= 1160 and y >= 40 and y <= 100 then
      love.audio.rewind( audioPrincipal )
      love.audio.pause( audioPrincipal ) 
      return
    end
    if passo < #parte and (x >= 125 and x <= 525 and y >= 350 and y <= 450) then
      love.mouse.setCursor( cursorPadrao )
      love.graphics.setColor(Cores.branco)
      passo = passo + 1
      sprite.diga()
      estadoJogo = "joga"
    end
    
    --Clique na caixa de Replay
    if passo == #parte and (x >= 100 and x <= 250 and y >= 320 and y <= 470) then
      estadoJoga.reset()
    end
    
    --Clique na caixa de Quit
    if passo == #parte and (x >= 430 and x <= 580 and y >= 320 and y <= 470) then
      love.quit()
    end
  end
}