
estadoJoga = {
  name = "joga",
  update = function() voadores.update() end,
  draw = function() 
    love.graphics.setBackgroundColor(Cores.aqua)
    caixa.caixaJogaMenu()
    caixa.botaoTocaAudio()
    caixa.botaoPausaAudio()    
    caixa.botaoTerminaAudio()
    caixa.caixaJogaErros()
    caixa.caixaJogaTexto()
    estadoJoga.imprimaTextoImprimido()
    sprite.draw()
    voadores.draw()
  end,
  imprimaTextoImprimido = function()
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf(textoImprimido, 700, 155, 460, "left")   --imprime texto na caixaJogaTexto
    love.graphics.setColor(Cores.branco)
  end,
  reset = function()
  --reset fixa variáveis para recomeça ao jogo
    passo = 1
    erro = 0
    --variávaeis de texto
    parteCerto = parte[1]
    textoPasso0 = "     What are the first words?"
    textoCombinado = ""
    textoImprimido = textoPasso0 
    caixa.erroMensagem = "WELCOME TO \"INSECTS\"!"
    sprite.diga()
    estadoJogo = estadoJoga.name
  end,
  mousereleased = function(x, y, button) 
    if x >= 820 and x <= 920 and y >= 40 and y <= 100 then
      love.audio.play( audioPrincipal )
      return
    end
    
    if x >= 940 and x <= 1040 and y >= 40 and y <= 100 then
      love.audio.pause( audioPrincipal ) 
      return
    end
    
    if x >= 1060 and x <= 1160 and y >= 40 and y <= 100 then
      love.audio.rewind( audioPrincipal )
      love.audio.pause( audioPrincipal ) 
      return
    end
    
    if inSprite1( x, y ) and sprite[1] == parteCerto then
      resultoCorreto = sprite[1]
      if passo == 1 then
        textoCombinado = "     " .. resultoCorreto
      else
        textoCombinado = textoCombinado .. " " .. resultoCorreto
      end
      textoImprimido = {Cores.azulMaisEscuro, textoCombinado, Cores.amarelo, textoProximo}
      love.mouse.setCursor( cursorPadrao )
      estadoJogo = "cliqueCerto"      

  elseif inSprite1( x, y ) and sprite[1] ~= parteCerto then
      erro = erro + 1
      estadoCliqueErrado.atualiaTextoLinha()
      estadoCliqueErrado.atualizaBotaoContinua()
      caixa.atualizaErroMensagem()
      estadoJogo = "cliqueErrado"

    elseif inSprite2( x, y ) and sprite[2] == parteCerto then
      resultoCorreto = sprite[2]
      if passo == 1 then
        textoCombinado = "     " .. resultoCorreto
      else
        textoCombinado = textoCombinado .. " " .. resultoCorreto
      end
      textoImprimido = {Cores.azulMaisEscuro, textoCombinado, Cores.amarelo, textoProximo}
      love.mouse.setCursor( cursorPadrao )
      estadoJogo = "cliqueCerto"
   
    elseif inSprite2( x, y ) and sprite[2] ~= parteCerto then
      erro = erro + 1
      estadoCliqueErrado.atualiaTextoLinha()
      estadoCliqueErrado.atualizaBotaoContinua()
      caixa.atualizaErroMensagem()
      estadoJogo = "cliqueErrado"
   
    elseif inSprite3( x, y ) and sprite[3] == parteCerto then
      resultoCorreto = sprite[3]
      if passo == 1 then
        textoCombinado = "     " .. resultoCorreto
      else
        textoCombinado = textoCombinado .. " " .. resultoCorreto
      end
      textoImprimido = {Cores.azulMaisEscuro, textoCombinado, Cores.amarelo, textoProximo}
      love.mouse.setCursor( cursorPadrao )
      estadoJogo = "cliqueCerto"
      
    elseif inSprite3( x, y ) and sprite[3] ~= parteCerto then
      erro = erro + 1
      estadoCliqueErrado.atualiaTextoLinha()
      estadoCliqueErrado.atualizaBotaoContinua()
      caixa.atualizaErroMensagem()
      estadoJogo = "cliqueErrado"
    end
    return
  end
}