require "carrege"
require "splash"
require "instrucoes"
require "joga"
require "cliqueCerto"
require "cliqueErrado"
require "caixas"
require "voadores"
require "sprites"
require "partes"
require "theMouse"
audioFundo = love.audio.newSource( "sons/marimba.ogg", static )

function love.load()
  audioFundo:setVolume(0.1)
  audioFundo:setLooping(true)
  audioFundo:play()
  CARREGE_LOAD()
end

--[[The code below is for debugging and should be removed.
--START DEBUGGING
function love.keypressed(k)
    if k == "s" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = estadoSplash.name
    elseif k == "i" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = estadoInstrucoes.name
    elseif k == "j" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = estadoJoga.name
    elseif k == "c" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = estadoCliqueCerto.name          
    elseif k == "e" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = estadoCliqueErrado.name
    end
end
--END DEBUGGING]]

function love.update(dt)
  THEMOUSE_UPDATE(dt)
  if estadoJogo == estadoSplash.name then
   estadoSplash.update(dt)
  end 

  if estadoJogo == estadoInstrucoes.name then
   estadoInstrucoes.update(dt)
  end 

  if estadoJogo == estadoJoga.name then
   estadoJoga.update(dt)
  end 

  if estadoJogo == estadoCliqueCerto.name then
   estadoCliqueCerto.update(dt)
  end 

  if estadoJogo == estadoCliqueErrado.name then
   estadoCliqueErrado.update(dt)
  end 
  
  --THEMOUSE_UPDATE(dt)
end

function love.draw()
  if estadoJogo == estadoSplash.name then
    estadoSplash.draw()
  end 

  if estadoJogo == estadoInstrucoes.name then
    estadoInstrucoes.draw()
  end 

  if estadoJogo == estadoJoga.name then
    estadoJoga.draw()
  end 

  if estadoJogo == estadoCliqueCerto.name then
    estadoCliqueCerto.draw()
  end 

  if estadoJogo == estadoCliqueErrado.name then
    estadoCliqueErrado.draw()
  end 
end

function love.mousereleased(x, y, button)
  if estadoJogo == estadoSplash.name then
    estadoSplash.mousereleased(x, y, button)
    
  elseif estadoJogo == estadoInstrucoes.name then
    estadoInstrucoes.mousereleased(x, y, button)
    
  elseif estadoJogo == estadoJoga.name then
    estadoJoga.mousereleased(x, y, button)

  elseif estadoJogo == estadoCliqueCerto.name then
    estadoCliqueCerto.mousereleased(x, y, button)
    
  elseif estadoJogo == estadoCliqueErrado.name then
    estadoCliqueErrado.mousereleased(x, y, button)
  end 
  
end

function love.quit()
  print("Bye bye!")
  love.event.quit(0)
  print("didn't quit")
end