--[[
Manta as funções neste arquivo GLOBAL porque elas são usadas por outros arquivos.
]]

caixa = {
  name = "caixa",
  erroMensagem = "caixa.erroMensagem",
  update = function() --[[...]] end,
  draw = function() --[[...]] end,
  splashAreaBotao = function()
  local text1 = "Welcome to \""
  local titulo = "INSECTS"
  local text2 = "A learning game from \"Aprende com Jogos\""
  local text3 = "Please click one of the buttons below."
  local xBorda = 30
  local yBorda = 30
    love.graphics.setColor(Cores.amarelo)
    love.graphics.rectangle("fill", xBorda, yBorda, love.graphics.getWidth()-2*xBorda, love.graphics.getHeight()-2*yBorda)  
    love.graphics.setColor(Cores.verdeEscuro)
    love.graphics.setFont(font48)
    love.graphics.printf( text1 .. titulo .. "\"!", 0, love.graphics.getHeight() * 0.2, love.graphics.getWidth(), "center" )
    love.graphics.setFont(font36)
    --love.graphics.printf( text2, 0, love.graphics.getHeight() * 0.3, love.graphics.getWidth(), "center" )
    love.graphics.setFont(font24)
    love.graphics.setColor(Cores.vermelho)
    love.graphics.printf( text3, 0, love.graphics.getHeight() * 0.4, love.graphics.getWidth(), "center" )
    love.graphics.setColor(Cores.branco)  
  end,
  splashButaoInstrucoes = function()
    local text1 = "I don't know how to play."
    local text2 = "Please show me instructions."
    local widthBorda = 400
    local heightBorda = 100
    local xBorda = 400
    local yBorda = 350
    local widthBotao = widthBorda - 20
    local heightBotao = heightBorda - 20
    local xBotao = xBorda + 10
    local yBotao = yBorda + 10
    love.graphics.setColor(Cores.azulEscuro)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
    love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
  end,
  splashBotaoComeca = function()
    local widthBorda = 400
    local heightBorda = 100
    local text1 = "I know how to play."
    local text2 = "Please start the game!"
    local xBorda = 400
    local yBorda = 490
    local widthBotao = widthBorda - 20
    local heightBotao = heightBorda - 20
    local xBotao = xBorda + 10
    local yBotao = yBorda + 10
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.azulEscuro)
    love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
    love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
  end,
  instrucoesBotaoComeca = function()
    local widthBorda = 500
    local heightBorda = 100
    local text1 = "OK.  Thanks.  Now I know how to play."
    local text2 = "PLEASE    -    START THE GAME!"
    local xBorda = 350
    local yBorda = 550
    local widthBotao = widthBorda - 20
    local heightBotao = heightBorda - 20
    local xBotao = xBorda + 10
    local yBotao = yBorda + 10
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.azulEscuro)
    love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.amarelo)
    love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
  end,
  caixaJogaMenu = function()
    love.graphics.setColor(Cores.azulEscuro)
    love.graphics.rectangle("fill", 680, 20, 500, 100)  --caixa de menu   
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf("AUDIO:", 700, 55, 460)   --imprime texto da caixa de menu  
  end,
  botaoTocaAudio = function()
    love.graphics.setColor(Cores.verde)
    love.graphics.rectangle("fill", 820, 40, 100, 60)  --caixa de menu   
    love.graphics.setColor(Cores.verdeEscuro)
    love.graphics.setFont(font18)
    love.graphics.printf("PLAY", 825, 58, 90, "center") 
    love.graphics.setColor(Cores.branco)
    end,
  botaoPausaAudio = function()
    love.graphics.setColor(Cores.aqua)
    love.graphics.rectangle("fill", 940, 40, 100, 60) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font18)
    love.graphics.printf("PAUSE", 945, 58, 90, "center")
  end,
  botaoTerminaAudio = function()
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", 1060, 40, 100, 60) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font18)
    love.graphics.printf("STOP", 1065, 58, 90, "center") 
  end,
  caixaJogaErros = function()
    love.graphics.setColor(Cores.amarelo)
    love.graphics.rectangle("fill", 20, 20, 640, 100)  --caixa de menu   
    love.graphics.setColor(Cores.verdeMaisEscuro)
    love.graphics.setFont(font24)
    love.graphics.printf(caixa.erroMensagem, 40, 60, 620, "center")   --imprime texto da caixa de menu
    love.graphics.setColor(Cores.branco)  
  end,
  caixaJogaTexto = function()
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", 680, 140, 500, 540)
    love.graphics.setColor(Cores.branco) 
  end,
  cliqueCertoBotaoContinue = function()
    local widthBorda = 400
    local heightBorda = 100
    local text1 = "Very good!  That\'s right."
    local text2 = "Click to here continue."
    local xBorda = 125
    local yBorda = 350
    local widthBotao = widthBorda - 20
    local heightBotao = heightBorda - 20
    local xBotao = xBorda + 10
    local yBotao = yBorda + 10
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.azulEscuro)
    love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
    love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
  end,
  cliqueCertoBotaoRecomecar = function()
    local widthBorda = 150
    local heightBorda = 150
    local texto = "REPLAY"
    local xBorda = 100
    local yBorda = 320
    local widthBotao = widthBorda - 20
    local heightBotao = heightBorda - 20
    local xBotao = xBorda + 10
    local yBotao = yBorda + 10
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.azulEscuro)
    love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf( texto, xBotao + 10, 383, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
    end,
  cliqueCertoBotaoQuit = function()
    local widthBorda = 150
    local heightBorda = 150
    local texto = "QUIT"
    local xBorda = 430
    local yBorda = 320
    local widthBotao = widthBorda - 20
    local heightBotao = heightBorda - 20
    local xBotao = xBorda + 10
    local yBotao = yBorda + 10
    love.graphics.setColor(Cores.azulEscuro)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.vermelho)
    love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf( texto, xBotao + 10, 383, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
  end,  
  botaoCliqueErradoContinua = function()
    local text1 = "I want to continue trying."
    local text2 = "Take me back to the game."
    local widthBorda = 400
    local heightBorda = 100
    local xBorda = 175
    local yBorda = 375
    widthBotao1 = widthBorda - 20  --global porque usado em cliqueErrado.lua
    local heightBotao = heightBorda - 20
    xBotao1 = xBorda + 10  --global porque usado em cliqueErrado.lua
    yBotao1 = yBorda + 10  --global porque usado em cliqueErrado.lua
    love.graphics.setColor(Cores.verdeEscuro)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.amarelo)
    love.graphics.rectangle("fill", xBotao1, yBotao1, widthBotao1, heightBotao) 
    --texto para esta caixa tem que mudar, 
    --então é controlado no arquivo cliqueErrado.lua
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
  end,
  botaoCliqueErradoQuit = function()
    local widthBorda = 400
    local heightBorda = 100
    local text1 = "Time for me to go."
    local text2 = "Take me outta here!"
    local xBorda = 625
    local yBorda = 375
    local widthBotao = widthBorda - 20
    local heightBotao = heightBorda - 20
    local xBotao = xBorda + 10
    local yBotao = yBorda + 10
    love.graphics.setColor(Cores.amarelo)
    love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
    love.graphics.setColor(Cores.verdeEscuro)
    love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
    love.graphics.setColor(Cores.amarelo)
    love.graphics.setFont(font24)
    love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
    love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)  
  end,
  atualizaErroMensagem = function()
    if erro == 0 then caixa.erroMensagem = "WELCOME TO \"INSECTS\"!"
    end
    if erro == 1 then caixa.erroMensagem = "You've made 1 mistake.  2 more mistakes and you lose!"
    end
    if erro == 2 then caixa.erroMensagem = "You've made 2 mistakes.  1 more mistake and you lose!"
    end
    if erro == 3 then caixa.erroMensagem = "You've made  mistakes.  YOU LOSE!"
    end
  end,
  mousereleased = function() --[[...]] end
}