estadoCliqueErrado = {
  name = "cliqueErrado",
  update = function() --[[...]] end,
  texto1 = "texto1",
  texto2 = "texto2",
  textoLinha1 = "linha1",
  textoLinha2 = "linha2", 
  textoLinha3 = "linha3",  
  textoErro1a = "You've made 1 mistake, but you can try again!",
  textoErro1b = "But 2 more mistakes and you'll lose.",
  textoErro1c = "Click the LEFT button to try again or click the RIGHT button to leave.",
  textoErro2a = "You've made 2 mistakes, but you can try again!",
  textoErro2b = "But this is your last chance.  Next mistake - you lose!",
  textoErro2c = "Click the LEFT button to try again or click the RIGHT button to leave.",
  textoLost1 = "Sorry, that's 3 mistakes.  You lose.",
  textoLost2 = "Better luck next time.",
  textoLost3 = "Click the LEFT button to start over or click the RIGHT button to leave.",
  draw = function()    
    love.graphics.setBackgroundColor(Cores.vermelho)
    caixa.caixaJogaMenu()
    caixa.botaoTocaAudio()
    caixa.botaoPausaAudio()    
    caixa.botaoTerminaAudio()
    caixa.botaoCliqueErradoQuit()
    caixa.botaoCliqueErradoContinua()
    love.graphics.setColor(Cores.verdeEscuro)
    love.graphics.setFont(font24)
    love.graphics.printf( estadoCliqueErrado.texto1, xBotao1 + 10, yBotao1 + 10, widthBotao1 - 20, "center" )
    love.graphics.printf( estadoCliqueErrado.texto2, xBotao1 + 10, yBotao1 + 40, widthBotao1 - 20, "center" )
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.printf(estadoCliqueErrado.textoLinha1, 0, 240, 1200, "center")
    love.graphics.setColor(Cores.amarelo)
    love.graphics.setFont(fontBold36)
    love.graphics.printf(estadoCliqueErrado.textoLinha2, 0, 270, 1200, "center")
    love.graphics.setFont(font24)
    love.graphics.setColor(Cores.branco)
    love.graphics.printf(estadoCliqueErrado.textoLinha3, 0, 312, 1200, "center")       
    love.graphics.setColor(Cores.branco)
    love.graphics.setFont(font24)
    love.graphics.draw(gafanhotoGrD, 125, love.graphics.getHeight() * 0.18)
    love.graphics.draw(lagartaGrE, 950, love.graphics.getHeight() * 0.7)
  end,
  atualiaTextoLinha = function()
    if erro == 1 then
      estadoCliqueErrado.textoLinha1 = estadoCliqueErrado.textoErro1a
      estadoCliqueErrado.textoLinha2 = estadoCliqueErrado.textoErro1b
      estadoCliqueErrado.textoLinha3 = estadoCliqueErrado.textoErro1c
    elseif erro == 2 then
      estadoCliqueErrado.textoLinha1 = estadoCliqueErrado.textoErro2a
      estadoCliqueErrado.textoLinha2 = estadoCliqueErrado.textoErro2b
      estadoCliqueErrado.textoLinha3 = estadoCliqueErrado.textoErro2c
    elseif erro == 3 then
      estadoCliqueErrado.textoLinha1 = estadoCliqueErrado.textoLost1
      estadoCliqueErrado.textoLinha2 = estadoCliqueErrado.textoLost2
      estadoCliqueErrado.textoLinha3 = estadoCliqueErrado.textoLost3
    end
  end,
  atualizaBotaoContinua = function()
    if erro < 3 then
      estadoCliqueErrado.texto1 = "I want to continue trying."
      estadoCliqueErrado.texto2 = "Take me back to the game."
    elseif erro == 3 then
      estadoCliqueErrado.texto1 = "I want to play again."
      estadoCliqueErrado.texto2 = "Restart the game."   
    end
  end, 
  mousereleased = function(x, y, button) 
    --Toca de áudio
    if x >= 820 and x <= 920 and y >= 40 and y <= 100 then
      love.audio.play( audioPrincipal )
      return
    end
    
    --Pausa de áudio
    if x >= 940 and x <= 1040 and y >= 40 and y <= 100 then
      love.audio.pause( audioPrincipal ) 
      return
    end
    
    --Termina de áudio    
    if x >= 1060 and x <= 1160 and y >= 40 and y <= 100 then
      love.audio.rewind( audioPrincipal )
      love.audio.pause( audioPrincipal ) 
      return
    end
    
    --clique na botão de continuar/recomeçar
    if x >= 175 and x <= 575 and y >= 375 and y <= 475 then 
      love.mouse.setCursor( cursorPadrao )
      love.graphics.setColor(Cores.branco)
      if erro < 3 then
        estadoJogo = estadoJoga.name
      elseif erro == 3 then
        --love.event.quit( "restart" )
        estadoJoga.reset()
      end
    return
    end
    
    --clique na botão de quit
    if x >= 625 and x <= 1025 and y >= 375 and y <= 475 then 
      love.quit()
    end    
  end
}