estadoInstrucoes = {
  name = "instrucoes",
  update = function() --[[...]] end,
  draw = function() --[[...]] 
    love.graphics.setBackgroundColor(Cores.amarelo)
    caixa.caixaJogaMenu()
    caixa.botaoTocaAudio()
    caixa.botaoPausaAudio()    
    caixa.botaoTerminaAudio()
    love.graphics.setColor(Cores.branco)
    love.graphics.draw(joaninhaGrD, 125, love.graphics.getHeight() * 0.18, 0.572665)
    love.graphics.draw(lagartaGrE, 950, love.graphics.getHeight() * 0.6)
    love.graphics.setColor(Cores.verdeEscuro)
    love.graphics.setFont(font24)
    love.graphics.print("Instructions", 270, 40)
    love.graphics.printf("The objective of the game is to write out the text of the game’s audio clip.", 100, 90, 500)
    love.graphics.setFont(font15)
    love.graphics.printf("1. Play the audio clip, using the audio controls in the top right corner.  The clip can be played, paused or stopped at any time independent of the action of the game.", 270, 170, 360)
    love.graphics.printf("2. Click the “START THE GAME!” button to begin play.  (When the cursor is in a clickable area, it changes from the ladybug to the caterpillar.)", 270, 240, 360)
    love.graphics.printf("3. Read the text in the text bubbles of the 3 insects and click the one with the first words of the text (or the next words in subsequent rounds).", 270, 310, 360)
    love.graphics.printf("4-a.  If you are correct, you’ll see a screen telling you that you are correct and displaying the text in the box on the right. To continue playing, click the “Click here to continue.” button.", 270, 380, 360)
    love.graphics.printf("4-b. If you are wrong, you’ll see a screen telling you that you were wrong, how many mistakes you’ve made (3 MISTAKES AND YOU LOSE), how many more mistakes till you lose and instructions on how to continue or quit.", 680, 195, 400)
    love.graphics.printf("5-a. If you successfully complete the text, you’ll see a “Congratulations” screen with instructions to play again or quit.", 680, 280, 400)
    love.graphics.printf("5-b. If you make 3 mistakes, you’ll see a “You lose” screen with instructions to play again or quit.", 680, 350, 400)
    love.graphics.printf("6. That’s the game!  Now click the “START THE GAME!” button, click “PLAY” to start the audio clip and listen carefully.  Then try to write the text of the clip.  Good luck!", 420, 465, 400)
    love.graphics.print("", 270, 30)
    love.graphics.print("", 270, 30)

    caixa.instrucoesBotaoComeca()
  end,  
  mousereleased = function(x, y, button)
    if x >= 820 and x <= 920 and y >= 40 and y <= 100 then
      love.audio.play( audioPrincipal )
      return
    end
    
    if x >= 940 and x <= 1040 and y >= 40 and y <= 100 then
      love.audio.pause( audioPrincipal ) 
      return
    end
    
    if x >= 1060 and x <= 1160 and y >= 40 and y <= 100 then
      love.audio.rewind( audioPrincipal )
      love.audio.pause( audioPrincipal ) 
      return
    end
    
    if x >= 350 and x <= 850 and y >= 525 and y <= 625 then 
      sprite.diga()      
      love.mouse.setCursor( cursorPadrao )
      love.graphics.setColor(Cores.branco)
      estadoJogo = estadoJoga.name
      return
    end
  end
}